#
# Example slurm.conf file. Please run configurator.html
# (in doc/html) to build a configuration file customized
# for your environment.
#
#
# slurm.conf file generated by configurator.html.
#
# See the slurm.conf man page for more information.
#
ClusterName=
ControlMachine=
#ControlAddr=
#BackupController=
#BackupAddr=
#
SlurmUser=
#SlurmdUser=root
SlurmctldPort=
SlurmdPort=
SrunPortRange=
AuthType=auth/munge
#JobCredentialPrivateKey=
#JobCredentialPublicCertificate=
#StateSaveLocation=/var/spool/
SlurmdSpoolDir=
SwitchType=switch/none
MpiDefault=none
SlurmctldPidFile=
SlurmdPidFile=
ProctrackType=proctrack/pgid
#PluginDir=
#FirstJobId=
ReturnToService=2
#MaxJobCount=
MailProg=/usr/bin/mail
#PlugStackConfig=
#PropagatePrioProcess=
#PropagateResourceLimits=
#PropagateResourceLimitsExcept=
#Prolog=
#Epilog=
#SrunProlog=
#SrunEpilog=
#TaskProlog=
#TaskEpilog=
#TaskPlugin=
#TrackWCKey=no
#TreeWidth=50
#TmpFS=
#UsePAM=
#
# TIMERS
SlurmctldTimeout=300
SlurmdTimeout=300
InactiveLimit=0
MinJobAge=300
KillWait=30
Waittime=0
MessageTimeout=60
#
# SCHEDULING
SchedulerType=sched/backfill
#SchedulerAuth=
SelectType=select/linear
#FastSchedule=1
PriorityType=priority/multifactor
PriorityDecayHalfLife=14-0
#PriorityUsageResetPeriod=14-0
PriorityWeightFairshare=100000
PriorityWeightAge=1000
PriorityWeightPartition=10000
PriorityWeightJobSize=1000
PriorityMaxAge=14-0
#
# LOGGING
SlurmctldDebug=3
SlurmctldLogFile=
SlurmdDebug=1
SlurmdLogFile=
JobCompType=jobcomp/none
#JobCompLoc=
#
# ACCOUNTING
JobAcctGatherType=jobacct_gather/linux
JobAcctGatherFrequency=30
#
AccountingStorageType=accounting_storage/slurmdbd
#AccountingStorageHost=
#AccountingStorageLoc=
#AccountingStoragePass=
#AccountingStorageUser=
AccountingStoragePort=
# COMPUTE NODES
PartitionName=normal Nodes=ALL Default=YES MaxTime=INFINITE State=UP